LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XInteractionSupplyParameters Interface Referencepublished

An interaction continuation handing back parameter data. More...

`import"XInteractionSupplyParameters.idl";`

Inheritance diagram for XInteractionSupplyParameters:

## Public Member Functions
void | setParameters ([in] sequence< com::sun::star::beans::PropertyValue > Values)
| set the parameters chosen by the interaction handler More...
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interaction continuation handing back parameter data.

This continuation is typically used in conjunction with a com::sun::star::sdb::ParametersRequest.

## Member Function Documentation

## ◆ setParameters()

void setParameters | ( | [in] sequence< com::sun::star::beans::PropertyValue > | Values | ) |

set the parameters chosen by the interaction handler

Parameters

  Values | the parameters to set

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XInteractionSupplyParameters.idl